%global momorel 3

Name: momonga-logos
Summary: Momonga Linux icons and pictures.
Version: 5.0
Release: %{momorel}m%{?dist}
Group: System Environment/Base
Source0: momonga-logos-%{version}.tar.bz2
Source1: dummy-system-logo-white.png
License: "Momonga"
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Obsoletes: redhat-logos
Provides: redhat-logos
Provides: system-logos
Conflicts: kdebase <= 3.1.5
Conflicts: anaconda-images <= 10
# for /usr/share/icons/Bluecurve
Requires: bluecurve-icon-theme
# for /usr/share/icons/hicolor
Requires: hicolor-icon-theme

%description
momonga-logos package

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

# install grub images
mkdir -p %{buildroot}/boot/grub
for i in bootloader/* ; do
  install -m 644 $i %{buildroot}/boot/grub
done

# install rhgb images
mkdir -p %{buildroot}%{_datadir}/rhgb/
for i in rhgb/* ; do
  install -m 644 $i %{buildroot}%{_datadir}/rhgb/
done

# install Momonga Linux Logo image
for size in 32x32 36x36 48x48 96x96 ; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -m 644 $i %{buildroot}%{_datadir}/icons/hicolor/$size/apps
  done
done

# need plymouth
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/system-logo-white.png

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi


%files
%defattr(-, root, root)
/boot/grub/*.xpm.gz
%{_datadir}/rhgb/*.png
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.0-3m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (5.0-2m)
- add /usr/share/pixmaps/system-logo-white.png
-- need plymouth

* Thu Oct  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0-1m)
- version 5.0-1m

* Sun Sep 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0-0.1.5m)
- rewind splash image

* Mon Aug 25 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0-0.1.4m)
- update grub image

* Sun Aug 24 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (5.0-0.1.3m)
- delete firstboot images

* Tue May 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0-0.1.2m)
- change Requires from redhat-artwork to bluecurve-icon-theme

* Fri May  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.0-0.1.1m)
- set main-logo.png for Alpha1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0-3m)
- rebuild against gcc43

* Wed Oct  3 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-2m)
- add Momonga Linux Logo icon

* Sun Aug  5 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-1m)
- modify firstboot images

* Tue Jul 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0-0.5m)
- add bootloader image for Momonga Linux 4

* Wed Jul  4 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-0.4m)
- change firstboot images for Momonga Linux 4

* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.3m)
- revise main-logo.png to rhgb format, 24bpp -> 32bpp

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.2m)
- set main-logo.png for Beta1

* Wed Jun 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0-0.1m)
- add Dummy rhgb images
- Fix ME!
-- /usr/share/rhgb/progress.png
-- /usr/share/rhgb/main-logo.png

* Wed Mar 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.1-2m)
- install grub images

* Mon Mar 12 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.1-1m)
- include grub images
- Provides: system-logos

* Sat Jul 29 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-3m)
- change firstboot-left.png

* Thu Jul 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-2m)
- change splash-small.png
- add firstboot-left.png

* Wed Jul 26 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-1m)
- change Momonga Linux 3 image

* Sat Jun 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-2m)
- delete duplicate dir

* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-1m)
- first release
